%define rname beryl
%define name %{rname}-dbus
%define version 0.1.4
#define svn 671
%define rel 2

%if %defined svn
%define release %mkrel 0.svn%svn.%rel
%else
%define release %mkrel %rel
%endif

Name: %name
Version: %version
Release: %release
Summary: DBUS plugin for the beryl window manager/compositor
Group: System/X11
URL: http://www.beryl-project.org/
%if %defined svn
Source: %{name}-%{version}-%{svn}.tar.bz2
%else
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
%endif

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel
BuildRequires: intltool
BuildRequires: dbus-devel
BuildRequires: beryl-core-devel >= %{version}
BuildRequires: glib2-devel
# These shouldn't be required but they are.
# the correct solution would be to patch the autoconf file.
BuildRequires: libpng-devel
BuildRequires: startup-notification-devel

Requires: beryl-core

%description
DBUS control plugin for Beryl.


%files
%defattr(-,root,root)
%{_libdir}/%{rname}/*
%{_datadir}/dbus-1/services/%{rname}.service

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%changelog
* Tue Jan 09 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-2mdv2007.1
+ Revision: 106445
- Fix build requires
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94441
- New release 0.1.3

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 85661
- Fix typo
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 78433
- Rebuild with correctly libified beryl-core
- New Release 0.1.2

* Tue Oct 24 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-3mdv2007.1
+ Revision: 72168
- Use plain make as dual-core %%make fails.
- Add more bogus build requires as quick fix for upstream bug
- Add a bogus build requires as quick fix for upstream bug
- Correct the version requirement on beryl-core-devel
- Import beryl-dbus

